#!/usr/bin/perl -w
# -*- perl -*-
use P4CGI ;
use strict ;
#
#################################################################
#  CONFIGURATION INFORMATION 
#  All config info should be in P4CGI.pm
#
#################################################################
#
# Find a file 
#
#################################################################


# Print header
print "",
    &P4CGI::start_page("Submitted Changelists",
		       &P4CGI::ul_list("<b>select desired code line to view submitted
changelists</b>")) ;


my $codelines = P4CGI::cgi()->param("CODELINES") ;

# Read codelines file
my @CODELINES ;
unless(defined $codelines) {
    $codelines = $ENV{CODELINES} if (defined $ENV{CODELINES} and -r
$ENV{CODELINES});
} ;

if(defined $codelines) {
    local *D ;
    open(*D, "$codelines" ) || &P4CGI::bail("Can not open codelines file
\"$codelines\"" );
    while(<D>) {
    chomp ;
    /^\#/ and do { next ; } ;
    /^\s*(\/\/.*)/ and do {
        $CODELINES[@CODELINES-1] .=
        &P4CGI::ahref(-url => &P4CGI::CHB_URL(),
                  &P4CGI::fixspaces("FSPC=$1"),
                  "MAXCH=100",
                  $1) . "<BR>" ;
        next ;

    } ;
    push @CODELINES,"<B>$_</B>" ;
    push @CODELINES,"" ;
    }
    close D ;
}
else {
    @CODELINES = ("Full Depot Source",
          &P4CGI::ahref(-url => &P4CGI::CHB_URL(),
                "FSPC=//...",
                "MAXCH=100",
                "//..." )) ;
} ;


print
    "<hr>",
    &P4CGI::dl_list(@CODELINES) ;

    &P4CGI::end_table(),
    &P4CGI::end_page() ;

#
# That's it folks
#
